'use strict';
define(['app'], function(app) {
	app.factory('checkRetina', [function() {
        var checkRetina = {
            isRetina: function(window) {
                var mediaQuery = "(-webkit-min-device-pixel-ratio: 1.5), (min--moz-device-pixel-ratio: 1.5), " + "(-o-min-device-pixel-ratio: 3/2), (min-resolution: 1.5dppx)";
                var is_retina = 0;
                if (window.devicePixelRatio >= 1.5) {
                    is_retina = 1;
                }

                return is_retina;
            }
        }

        return checkRetina;
    }]);
});